package com.brilliance.isc.common.rmbbop.common;


import com.brilliance.isc.common.transaction.vo.TrnInfo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;

@EqualsAndHashCode(callSuper = true)
@Data
public abstract class AbstractRmb extends AbstractCommonVo {
    private String rmbflg;
    private Pblmod pblmod;
    private Rmbbut rmbbut;
    private TrnInfo trnInfo;

    public IRecgrp getRecgrp() {
        return null;
    }

    public String getObjtyp() {
        return null;
    }

    public void clear(){
//        rmbflg = "2";
        pblmod = new Pblmod();
        pblmod.reset();
    }

    @Override
    public void reset() {
        super.reset();
//        if (StringUtils.isEmpty(rmbflg)) {
//            rmbflg = "2";
//        }
        if (pblmod == null) {
            pblmod = new Pblmod();
        }
        pblmod.reset();
        if (rmbbut == null){
            rmbbut = new Rmbbut();
        }
        rmbbut.reset();
    }
}
